Articles of android support library

DrawerLayout – событие ввода диспетчера исключений

Недавно я начал использовать DrawerLayout в новом проекте около недели назад, и все работает нормально. Помимо нечетных моментов, когда он размахивает пальцем, он падает. Если я использую ActionBar Up / Home MenuItem, он будет работать каждый раз. В LogCat я получаю две стека, которые, как кажется, указывают на внутренние места Android, поэтому я не совсем […]

CardView выходит поверх FrameLayout, но сначала объявляется

У меня есть простой FrameLayout с поддержкой CardView в качестве первого элемента, а TextView – второй, поэтому TextView должен быть сверху завышенного представления. Это работает на pre-Lolipop, но на 21+ карте занимает верхнее место в макете, почему это так и как это исправить? То же самое с RelativeLayout. Планировка: <?xml version="1.0" encoding="utf-8"?> <FrameLayout xmlns:android="http://schemas.android.com/apk/res/android" xmlns:app="http://schemas.android.com/apk/res-auto" […]

Как добавить «Библиотека поддержки Android Design» в Eclipse с помощью ADT-плагина?

Блог разработчиков Android объявлен в мае 2015 года: Библиотека Design теперь доступна, поэтому обязательно обновите репозиторий поддержки Android в диспетчере SDK. Я использую Eclipse (версия: Luna 4.4.2) с последним плагином ADT и не вижу ничего «дизайна» в менеджере SDK: При попытке использовать android.support.design.widget.FloatingActionButton или android.support.design.widget.NavigationView в моих проектах, подобных этому, Я, к сожалению, получаю ошибки: […]

Сообщение «Поле может быть преобразовано в локальную переменную» появляется при настройке цвета панели действий

После установки цвета панели действий actionBarColor в private String actionBarColor = "#B36305"; Подсвечивается желтым цветом, и по какой-то причине возвращается предупреждение. Что можно сделать, чтобы избавиться от этого предупреждения? Поле может быть преобразовано в локальную переменную public class MainActivity extends AppCompatActivity { private String actionBarColor = "#B36305"; private int getFactorColor(int color, float factor) { float[] […]

Установите пакет: «Android Support Library»

Я кодирую приложение Xamarin, и это ошибки, которые я получаю при создании приложения: C:\Program Files (x86)\MSBuild\Xamarin\Android\Xamarin.Android.Common.targets(2,2): Error XA5206: Please install package: 'Android Support Library' available in SDK installer. Android resource directory C:\Users\Simon\Documents\Xamarin\SimpleOnePageViewPager\SimpleOnePageViewPager\Components\googleplayservicesgingerbread-16.0.0.1\lib\android\19.1.0\content\support/v7/appcompat doesn't exist. (XA5206) (SimpleOnePageViewPager) C:\Program Files (x86)\MSBuild\Xamarin\Android\Xamarin.Android.Common.targets(2,2): Error XA5207: Please install package: 'Android Support Library' available in SDK installer. Java library file C:\Users\Simon\Documents\Xamarin\SimpleOnePageViewPager\SimpleOnePageViewPager\Components\googleplayservicesgingerbread-16.0.0.1\lib\android\19.1.0\content\support/v7/appcompat/libs/android-support-v7-appcompat.jar […]

Proguard – AppCompat не поддерживает текущие функции темы после proguard / minify

Я обновил поддержку libs до v23.0.0 с v22.2.1, после создания приложения (с minifyEnabled true) у меня есть «AppCompat не поддерживает текущие функции темы» Исключение: 08-23 05:46:10.168 19437 19437 E AndroidRuntime: java.lang.RuntimeException: Unable to start activity ComponentInfo{tm.alashow.dotjpg/tm.alashow.dotjpg.ui.activity.MainActivity}: java.lang.IllegalArgumentException: AppCompat does not support the current theme features 08-23 05:46:10.168 19437 19437 E AndroidRuntime: at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:2417) 08-23 05:46:10.168 […]

«Активность была уничтожена» иногда при заполнении viewpager фрагментами

Я получаю отчеты о сбоях с помощью моего viewpager v22 + FragmentPagerAdapter из всех версий Android 4+ и 5+. Viewpager находится в фрагменте, а адаптер пейджера использует childFragmentManager. Это происходит очень редко, примерно до 1/200 пользователей. java.lang.IllegalStateException: Activity has been destroyed at android.support.v4.app.FragmentManagerImpl.void enqueueAction(java.lang.Runnable,boolean)(SourceFile:1397) at android.support.v4.app.BackStackRecord.int commitInternal(boolean)(SourceFile:636) at android.support.v4.app.BackStackRecord.int commitAllowingStateLoss()(SourceFile:619) at android.support.v4.app.FragmentPagerAdapter.void finishUpdate(android.view.ViewGroup)(SourceFile:139) at android.support.v4.view.ViewPager.void […]

Атрибуты Android colorControlNormal xml не работают до Lollipop

Я пытаюсь изменить цвет строки EditText внизу, но мой EditText прежнему не хочет менять цвет, но использует стиль из Material . Я попытался изменить цвет, следующий за этим ответом: link Поэтому у меня есть EditText с формой Material но не с цветами, которые я установил. Я поместил appcompat-v7 в мой конфигурационный файл Gradle , и […]

Не удалось найти com.android.support :support-v4:22.0.0. После обновления SDK

После обновления sdk im не удалось создать приветственное приложение мира. Мой build.gradle выглядит так apply plugin: 'com.android.application' android { compileSdkVersion 22 buildToolsVersion "22.0.1" defaultConfig { applicationId "com.coders.yo" minSdkVersion 11 targetSdkVersion 22 versionCode 1 versionName "1.0" } buildTypes { release { runProguard false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) […]

Добавить библиотеку поддержки Android v4 для intellij ide

Я пытаюсь использовать viewpager из библиотеки поддержки v4 для Android в intelli j. В настоящее время я использую Android SDK 4.1 Я скопировал android-support-v4.jar в свой проект introidij android в разделе 'libs' В настройках проекта intellij Я перешел на вкладку «Модули» => «MyModuleName» => зависимостей и добавил android-support-v4.jar, переместив путь к папке libs / под […]